#
# spec file for package devfsd (Version 1.3.18)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         devfsd
Version:      1.3.18
Release:      20
Copyright:    GPL
Group:        System Environment/Kernel
#Provides:     
Autoreqprov:	on
Summary:      Compatibility for non devfs aware apps
Source:		ftp://ftp.atnf.csiro.au/pub/people/rgooch/linux/daemons/%{name}-v%{version}.tar.bz2
Source1:	boot.devfs
Source2:	create_vc
Source3:	rc.config.devfsd
Source4:	README
Source5:	mygrep
Source6:	boot.diff
Source7:	devfs-for-2219SuSE.diff.gz
Source8:	devfs-for-2216SuSE.diff.gz
# <REMOVE>  as soon as there is a 2.3 kernel to build on
Source9:	devfs_fs.h
# </REMOVE>
Patch:		devfsd-%{version}.diff
Patch2:		devfsd_invert-%{version}.diff
URL:		http://www.atnf.CSIRO.AU/~rgooch/linux/
Prefix:         /usr
BuildRoot:	/var/tmp/%{name}-buildroot

%description
If using devfs, the devfs filesystem will normally be mounted on /dev.
This raises a few compatibility issues, that can be tackled with the help
of the devfs daemon:
* Persistent permissions and ownership of device nodes
* Different naming scheme for some devices (SCSI eg.)
* Module autoloading

Authors:
--------
    Richard Gooch <rgooch@atnf.csiro.au>

SuSE series: a

%prep
%setup -n %{name}
%patch -p1
%patch2 -p1
mkdir linux
cp -p $RPM_SOURCE_DIR/devfs_fs.h linux/
%{?suse_update_config:%{suse_update_config -f devfsd}}

%build
make CEXTRAS="$RPM_OPT_FLAGS -I/usr/src/linux/include -I." MANDIR=%{_mandir}

%install
mkdir -p $RPM_BUILD_ROOT
make install MANDIR=%{_mandir} DESTDIR=$RPM_BUILD_ROOT
install -o root -g root -d $RPM_BUILD_ROOT/etc/init.d
install -o root -g root -m 755 $RPM_SOURCE_DIR/boot.devfs $RPM_BUILD_ROOT/etc/init.d/
install -o root -g root -m 755 $RPM_SOURCE_DIR/create_vc $RPM_BUILD_ROOT/sbin/
install -d -o root -g root $RPM_BUILD_ROOT/var/adm/fillup-templates
install -o root -g root -m 755 $RPM_SOURCE_DIR/rc.config.devfsd $RPM_BUILD_ROOT/var/adm/fillup-templates/

%files
%defattr (644,root,root)
%doc $RPM_SOURCE_DIR/boot.diff $RPM_SOURCE_DIR/mygrep $RPM_SOURCE_DIR/README $RPM_SOURCE_DIR/devfs-for-2219SuSE.diff.gz
%doc examples/Makefile examples/mysymlink.c examples/examples.txt
%attr (755,root,root) /sbin/devfsd
%attr (755,root,root) /sbin/create_vc
%attr (750,root,root) /etc/init.d/boot.devfs
%{_mandir}/man8/devfsd.8.gz
%{_mandir}/man5/devfsd.conf.5.gz
%attr (640,root,root) %config(noreplace) /etc/devfsd.conf
%config /etc/modules.devfs
/var/adm/fillup-templates/rc.config.devfsd

%clean
test ! -z "$RPM_BUILD_ROOT" -a ! "$RPM_BUILD_ROOT" = "/" && rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.devfsd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.devfsd and "
  echo "update manually."
fi
      

%changelog -n devfsd
* Tue Sep 04 2001 - garloff@suse.de
- Add manpage devfsd.conf.5
- Clean up build process
- Don't use the invert feature in SuSE's devfsd.conf any longer,
  as the IGNORE option solves this. (! still supported but not
  documented any more)
- Update to 1.3.18:
  * return id 0 when uid/gid lookup fails
  * don't abort on failed fork on EXECUTE
  * docu on regexp subexpressions
- Update to 1.3.17:
  * dynamically load libnsl at runtime if needed
- Update to 1.3.16:
  * file descriptor leak in action_copy fixed
  * more tolerance against errors
- Update to 1.3.15:
  * compat entries for Stallion and Rocketport serial drivers
- Update to 1.3.14:
  * fix support for recursively reading config dirs
- Update to 1.3.13:
  * new DELETE event
  * debug trace for action_modload
  * compat entries for SCSI disks 16 to 127
  * support recursively reading config dirs
  * Docu updates
- Update to 1.3.12:
  * compat entries for I2C devs
  * support multiple reg subexpressions
  * MFUNCTION bug fix
  * execvp bug fix
  * potential buffer overrun fix
  * devfsd.conf.5 man page
  * example shared object extension (mysymlink)
  * GNUmakefile improvements
  * Better sample config file
* Fri Jul 13 2001 - garloff@suse.de
- Update to devfsd-1.3.11
- Fix startup script: We nowadays have grep in /bin (bug #8617)
- Provide devfs patch for 2.2.19.
* Wed Dec 06 2000 - garloff@suse.de
- Merge patch from BETA: Allow inversion of regexps in config file.
* Wed Dec 06 2000 - garloff@suse.de
- Update to v1.3.10.
- Include modules.devfs in file list.
* Fri Dec 01 2000 - kukuk@suse.de
- Move sbin/init.d -> etc/init.d
* Thu Oct 19 2000 - schwab@suse.de
- Pass -D_GNU_SOURCE for RTLD_NEXT.
* Tue Jun 20 2000 - garloff@suse.de
- Advise to mount devpts anyway to avoid permission trouble
* Tue Jun 20 2000 - garloff@suse.de
- Make devfsd respect "-1" for uid/gid as documented
* Tue Jun 20 2000 - garloff@suse.de
- Actually replaced devfsd.conf
- Don't exit devfsd on minor problems
- Updated kernel patch (against 2.2.16-SuSE now)
* Fri Jun 16 2000 - garloff@suse.de
- Added some permission settings to devfsd.conf
- Update to 1.3.9
- Include devfs patch for 2.2 in docu
* Tue May 09 2000 - garloff@suse.de
- Fixed boot.devfs script: Specify compl. pathname for devs.
* Tue May 02 2000 - garloff@suse.de
- Fixed %%clean section.
* Tue May 02 2000 - garloff@suse.de
- Update to devfsd-1.3.8.
* Thu Apr 20 2000 - garloff@suse.de
- Added boot.devfs script to package.
* Thu Apr 20 2000 - garloff@suse.de
- Added saving of ownership/perms in devfsd.conf
* Wed Apr 19 2000 - garloff@suse.de
- Initial creation of package (devfsd-1.3.5)
